openSUSE-SU-2018:2996-1: important: Security update for Mozilla Firefox


openSUSE Security Update: Security update for Mozilla Firefox
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2996-1
Rating: important
References: #1110506 #1110507
Cross-References: CVE-2018-12386 CVE-2018-12387
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for Mozilla Firefox to version 60.2.2esr contains the
following security fixes (MFSA 2018-24):

– CVE-2018-12386: Type confusion in JavaScript allowed remote code
execution (bsc#1110506)
– CVE-2018-12387: Array.prototype.push stack pointer vulnerability may
enable exploits in the sandboxed content process (bsc#1110507)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1097=1

– openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-1097=1

Package List:

– openSUSE Leap 42.3 (x86_64):

MozillaFirefox-60.2.2-118.1
MozillaFirefox-branding-upstream-60.2.2-118.1
MozillaFirefox-buildsymbols-60.2.2-118.1
MozillaFirefox-debuginfo-60.2.2-118.1
MozillaFirefox-debugsource-60.2.2-118.1
MozillaFirefox-devel-60.2.2-118.1
MozillaFirefox-translations-common-60.2.2-118.1
MozillaFirefox-translations-other-60.2.2-118.1

– openSUSE Leap 15.0 (x86_64):

MozillaFirefox-60.2.2-lp150.3.23.1
MozillaFirefox-branding-upstream-60.2.2-lp150.3.23.1
MozillaFirefox-buildsymbols-60.2.2-lp150.3.23.1
MozillaFirefox-debuginfo-60.2.2-lp150.3.23.1
MozillaFirefox-debugsource-60.2.2-lp150.3.23.1
MozillaFirefox-devel-60.2.2-lp150.3.23.1
MozillaFirefox-translations-common-60.2.2-lp150.3.23.1
MozillaFirefox-translations-other-60.2.2-lp150.3.23.1

References:

https://www.suse.com/security/cve/CVE-2018-12386.html
https://www.suse.com/security/cve/CVE-2018-12387.html
https://bugzilla.suse.com/1110506
https://bugzilla.suse.com/1110507


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org